js_issame(3)

NAME
js_issame - determine if two js_string objects have the same data

SYNOPSIS
#include JsStr.h

js_issame(js_string *js1, js_string *js2)

DESCRIPTION
js_issame determines whether two js_string objects contain the same data. Both strings need to have the same unit size, the same number of units, and identical strings.

Note that two strings with different maximum unit values still contain the same data.

RETURN VALUE
js_issame returns 0 if the strings are not the same, 1 if they are, and JS_ERROR if there was an error when comparing the strings.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>